Index: doc/papers/general/Paper.tex
===================================================================
--- doc/papers/general/Paper.tex	(revision ac4dad218855fd49df19e14a62c1a2fc4f908307)
+++ doc/papers/general/Paper.tex	(revision 5da5a96e181569bad958a89a36b5b8f6567d4c09)
@@ -2875,8 +2875,8 @@
 }
 _Bool stack_empty( const stack * s ) {
-	 return s->head == NULL;
+	return s->head == NULL;
 }
 void push_stack( stack * s, void * v ) {
-	node * n = malloc(sizeof(node)); /***/
+	node * n = malloc( sizeof(node) ); /***/
 	*n = (node){ v, s->head }; /***/
 	s->head = n;
@@ -2908,6 +2908,5 @@
 	};
 	struct stack { node(T) * head; };
-	void ?{}( stack(T) & s ) { (s.head){ 0 }; }
-	void ?{}( stack(T) & s, stack(T) t ) {
+	void ?{}( stack(T) & s, stack(T) t ) { // copy
 		node(T) ** cr = &s.head;
 		for ( node(T) * nx = t.head; nx; nx = nx->next ) {
@@ -2923,11 +2922,13 @@
 			nx = cr->next;
 			^(*cr){};
-			free(cr);
+			free( cr );
 		}
 		head = 0;
 	}
+
 \end{cfa}
 &
 \begin{cfa}[xleftmargin=0pt,aboveskip=0pt,belowskip=0pt]
+	void ?{}( stack(T) & s ) { (s.head){ 0 }; }
 	void ^?{}( stack(T) & s) { clear( s ); }
 	stack(T) ?=?( stack(T) & s, stack(T) t ) {
@@ -2954,5 +2955,4 @@
 	}
 }
-
 \end{cfa}
 \end{tabular}
@@ -3003,5 +3003,7 @@
 		return *this;
 	}
-	bool empty() const { return head == nullptr; }
+	bool empty() const {
+		return head == nullptr;
+	}
 	void push( const T & value ) {
 		head = new node{ value, head };  /***/
@@ -3015,6 +3017,4 @@
 	}
 };
-
-
 
 \end{cfa}
@@ -3066,5 +3066,7 @@
 		return *this;
 	}
-	bool empty() const { return head == nullptr; }
+	bool empty() const {
+		return head == nullptr;
+	}
 	void push( const object & value ) {
 		head = new node{ value, head }; /***/
@@ -3079,6 +3081,4 @@
 };
 
-
-
 \end{cfa}
 \end{tabular}
Index: doc/papers/general/evaluation/c-stack.c
===================================================================
--- doc/papers/general/evaluation/c-stack.c	(revision ac4dad218855fd49df19e14a62c1a2fc4f908307)
+++ doc/papers/general/evaluation/c-stack.c	(revision 5da5a96e181569bad958a89a36b5b8f6567d4c09)
@@ -27,5 +27,7 @@
 }
 
-stack new_stack() { return (stack){ NULL }; /***/ }
+stack new_stack() {
+	return (stack){ NULL }; /***/
+}
 
 stack * assign_stack( stack * s, const stack * t, 
@@ -37,5 +39,7 @@
 }
 
-_Bool stack_empty( const stack * s ) { return s->head == NULL; }
+_Bool stack_empty( const stack * s ) {
+	return s->head == NULL;
+}
 
 void push_stack( stack * s, void * v ) {
Index: doc/papers/general/evaluation/c-stack.h
===================================================================
--- doc/papers/general/evaluation/c-stack.h	(revision ac4dad218855fd49df19e14a62c1a2fc4f908307)
+++ doc/papers/general/evaluation/c-stack.h	(revision 5da5a96e181569bad958a89a36b5b8f6567d4c09)
@@ -6,9 +6,9 @@
 } stack;
 
+void copy_stack(stack * dst, const stack * src, void * (* copy)(const void *));
+void clear_stack(stack * s, void (*free_el)(void *));
 stack new_stack();
-void copy_stack(stack * dst, const stack * src, void * (* copy)(const void *));
 stack * assign_stack( stack * dst, const stack * src, 
 	void * (* copy_el)(const void *), void (* free_el)(void *));
-void clear_stack(stack * s, void (*free_el)(void *));
 
 _Bool stack_empty( const stack * s );
Index: doc/papers/general/evaluation/cfa-stack.c
===================================================================
--- doc/papers/general/evaluation/cfa-stack.c	(revision ac4dad218855fd49df19e14a62c1a2fc4f908307)
+++ doc/papers/general/evaluation/cfa-stack.c	(revision 5da5a96e181569bad958a89a36b5b8f6567d4c09)
@@ -8,7 +8,5 @@
 	};
 
-	void ?{}( stack(T) & s ) { (s.head){ 0 }; }
-
-	void ?{}( stack(T) & s, stack(T) t ) {
+	void ?{}( stack(T) & s, stack(T) t ) {		// copy
 		node(T) ** cr = &s.head;
 		for ( node(T) * nx = t.head; nx; nx = nx->next ) {
@@ -20,15 +18,16 @@
 	}
 
-	void ^?{}( stack(T) & s) { clear( s ); }
-
-    void clear( stack(T) & s ) with( s ) {
+	void clear( stack(T) & s ) with( s ) {
 		for ( node(T) * nx = head; nx; ) {
 			node(T) * cr = nx;
 			nx = cr->next;
 			^(*cr){};
-			free(cr);
+			free( cr );
 		}
 		head = 0;
 	}
+
+	void ?{}( stack(T) & s ) { (s.head){ 0 }; }
+	void ^?{}( stack(T) & s) { clear( s ); }
 
 	stack(T) ?=?( stack(T) & s, stack(T) t ) {
@@ -39,5 +38,7 @@
 	}
 
-	_Bool empty( const stack(T) & s ) { return s.head == 0; }
+	_Bool empty( const stack(T) & s ) {
+		return s.head == 0;
+	}
 
 	void push( stack(T) & s, T value ) with( s ) {
Index: doc/papers/general/evaluation/cfa-stack.h
===================================================================
--- doc/papers/general/evaluation/cfa-stack.h	(revision ac4dad218855fd49df19e14a62c1a2fc4f908307)
+++ doc/papers/general/evaluation/cfa-stack.h	(revision 5da5a96e181569bad958a89a36b5b8f6567d4c09)
@@ -7,8 +7,8 @@
 	};
 
+	void ?{}( stack(T) & s, stack(T) t );
+	void clear( stack(T) & s );
 	void ?{}( stack(T) & s );
-	void ?{}( stack(T) & s, stack(T) t );
 	void ^?{}( stack(T) & s);
-	void clear( stack(T) & s );
 
 	stack(T) ?=?( stack(T) & s, stack(T) t );
Index: doc/papers/general/evaluation/cpp-stack.hpp
===================================================================
--- doc/papers/general/evaluation/cpp-stack.hpp	(revision ac4dad218855fd49df19e14a62c1a2fc4f908307)
+++ doc/papers/general/evaluation/cpp-stack.hpp	(revision 5da5a96e181569bad958a89a36b5b8f6567d4c09)
@@ -10,6 +10,12 @@
 	node * head;
 
-	stack() : head( nullptr ) {}
-	stack( const stack<T> & o ) { copy( o ); }
+	void copy( const stack<T> & o ) {
+		node ** cr = &head;
+		for ( node * nx = o.head; nx; nx = nx->next ) {
+			*cr = new node{ nx->value }; /***/
+			cr = &(*cr)->next;
+		}
+		*cr = nullptr;
+	}
 
 	void clear() {
@@ -22,16 +28,9 @@
 	}
 
-	void copy( const stack<T> & o ) {
-		node ** cr = &head;
-		for ( node * nx = o.head; nx; nx = nx->next ) {
-			*cr = new node{ nx->value }; /***/
-			cr = &(*cr)->next;
-		}
-		*cr = nullptr;
-	}
-
+	stack() : head( nullptr ) {}
+	stack( const stack<T> & o ) { copy( o ); }
 	~stack() { clear(); }
 
-	stack & operator= ( const stack<T> & o ) {
+	stack & operator=( const stack<T> & o ) {
 		if ( this == &o ) return *this;
 		clear();
@@ -40,7 +39,11 @@
 	}
 
-	bool empty() const { return head == nullptr; }
+	bool empty() const {
+		return head == nullptr;
+	}
 
-	void push( const T & value ) { head = new node{ value, head };  /***/ }
+	void push( const T & value ) {
+		head = new node{ value, head };  /***/
+	}
 
 	T pop() {
Index: doc/papers/general/evaluation/cpp-vstack.cpp
===================================================================
--- doc/papers/general/evaluation/cpp-vstack.cpp	(revision ac4dad218855fd49df19e14a62c1a2fc4f908307)
+++ doc/papers/general/evaluation/cpp-vstack.cpp	(revision 5da5a96e181569bad958a89a36b5b8f6567d4c09)
@@ -3,4 +3,13 @@
 
 stack::node::node( const object & v, node * n ) : value( v.new_copy() ), next( n ) {}
+
+void stack::copy( const stack & o ) {
+	node ** cr = &head;
+	for ( node * nx = o.head; nx; nx = nx->next ) {
+		*cr = new node{ *nx->value }; /***/
+		cr = &(*cr)->next;
+	}
+	*cr = nullptr;
+}
 
 void stack::clear() {
@@ -11,13 +20,4 @@
 	}
 	head = nullptr;
-}
-
-void stack::copy( const stack & o ) {
-	node ** cr = &head;
-	for ( node * nx = o.head; nx; nx = nx->next ) {
-		*cr = new node{ *nx->value }; /***/
-		cr = &(*cr)->next;
-	}
-	*cr = nullptr;
 }
 
@@ -33,7 +33,11 @@
 }
 
-bool stack::empty() const { return head == nullptr; }
+bool stack::empty() const {
+	return head == nullptr;
+}
 
-void stack::push( const object & value ) { head = new node{ value, head }; /***/ }
+void stack::push( const object & value ) {
+	head = new node{ value, head }; /***/
+}
 
 ptr<object> stack::pop() {
Index: doc/papers/general/evaluation/cpp-vstack.hpp
===================================================================
--- doc/papers/general/evaluation/cpp-vstack.hpp	(revision ac4dad218855fd49df19e14a62c1a2fc4f908307)
+++ doc/papers/general/evaluation/cpp-vstack.hpp	(revision 5da5a96e181569bad958a89a36b5b8f6567d4c09)
@@ -10,6 +10,6 @@
 	node * head;
 
+	void copy( const stack & o );
 	void clear();
-	void copy( const stack & o );
 
 	stack();
